# dotfiles

This is just a bunch of dotfiles.


## ArchLinux packages

``` sh
# Base utils
pacman -S bat duf eza git-delta htop inetutils kitty-terminfo neovim openssh ripgrep tmux transmission-cli tree wget whois zsh zsh-syntax-highlighting
pacman -S shared-mime-info xdg-user-dirs
pacman -S skim
# Rust
pacman -S cargo-audit cargo-outdated cargo-release rustup
# CLI software
pacman -S dog exiv2 imagemagick mkcert ncdu nmap playerctl python-shodan rsync shellcheck sqlmap yt-dlp
# WM
pacman -S i3status
pacman -S i3lock scrot
pacman -S grim
# Graphical software
pacman -S atril firefox gedit gimp handbrake kitty mpv openshot pcmanfm rhythmbox ristretto tumbler thunderbird vlc zathura
# Fonts
pacman -S noto-fonts noto-fonts-emoji ttf-dejavu ttf-inconsolata ttf-liberation
# Command-line copy/paste utilities
pacman -S wl-clipboard xclip
# MS-DOS
pacman -S dosfstools mtools
```

``` sh
# Base utils
yay -S liquidprompt vim-plug
# Printer
yay -S brother-dcp1610w brscan-skey brscan4
# Graphical software
yay -S cardpeek
```

## vim

Plugins are managed by `vim-plug`, which is installed from the AUR.

``` sh
vim +PlugInstall
```


## wallpaper

The wallpaper is randomly set from images (png, jpg and jpeg) from `~/pictures/wallpapers/enabled/`. You should populate this directory with symbolic links pointing to images stored in `~/pictures/wallpapers/`.


## /etc/locale.conf

```
cat >/etc/locale.conf << EOF
LANG=en_US.UTF-8
LC_ADDRESS=fr_FR.UTF-8
LC_MEASUREMENT=fr_FR.UTF-8
LC_PAPER=fr_FR.UTF-8
LC_TIME=fr_FR.UTF-8
EOF
```
